---
id: huntorrent-bithorlo
name: HunTorrent-bithorlo
description: "HunTorrent-bithorlo is a HUNGARIAN Semi-Private Torrent Tracker for MOVIES / TV / GENERAL"
language: hu-HU
type: semi-private
encoding: UTF-8
requestDelay: 2
links:
  - https://huntorrent.org/
legacylinks:
  - https://huntorrent.net/

caps:
  categorymappings:
    - {id: 51, cat: Movies/SD, desc: "Cam/Eng", default: true}
    - {id: 50, cat: Movies/SD, desc: "Cam/Hun", default: true}
    - {id: 2, cat: Movies/DVD, desc: "DVD/Eng", default: true}
    - {id: 1, cat: Movies/DVD, desc: "DVD/Hun", default: true}
    - {id: 42, cat: Movies/DVD, desc: "Dvd9/Eng", default: true}
    - {id: 41, cat: Movies/DVD, desc: "Dvd9/Hun", default: true}
    - {id: 40, cat: Books, desc: "E-book/Eng", default: true}
    - {id: 19, cat: Books, desc: "E-book/Hun", default: true}
    - {id: 29, cat: Movies/HD, desc: "HD/Eng", default: true}
    - {id: 28, cat: Movies/HD, desc: "HD/Hun", default: true}
    - {id: 15, cat: PC/Games, desc: "Játék/ISO", default: true}
    - {id: 38, cat: Console, desc: "Játék/Konzol", default: true}
    - {id: 37, cat: PC/Games, desc: "Játék/Rip", default: true}
    - {id: 20, cat: Other, desc: "Képek", default: true}
    - {id: 21, cat: PC/Mobile-Other, desc: "Mobil", default: true}
    - {id: 54, cat: PC/ISO, desc: "Prog/ISO", default: true}
    - {id: 23, cat: PC/0day, desc: "Prog/Rip", default: true}
    - {id: 33, cat: TV/SD, desc: "Sorozat/Eng", default: true}
    - {id: 52, cat: TV/HD, desc: "Sorozat/Eng/HD", default: true}
    - {id: 5, cat: TV/SD, desc: "Sorozat/Hun", default: true}
    - {id: 53, cat: TV/HD, desc: "Sorozat/Hun/HD", default: true}
    - {id: 4, cat: Movies/SD, desc: "Xvid/Eng", default: true}
    - {id: 3, cat: Movies/SD, desc: "Xvid/Hun", default: true}
    - {id: 12, cat: Audio, desc: "Zene/Eng", default: true}
    - {id: 13, cat: Audio, desc: "Zene/Hun", default: true}
    - {id: 9, cat: XXX/x264, desc: "XXX/Film", default: false}
    - {id: 10, cat: XXX/ImageSet, desc: "XXX/Kép", default: false}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: info_about
    type: info
    label: About this HunTorrent-bithorlo indexer
    default: This indexer accesses the HunTorrent WebSite with a focus on only the <b>bithorlo</b> torrent browser pages.
  - name: cookie
    type: text
    label: Cookie
  - name: info_cookie
    type: info_cookie
  - name: useragent
    type: text
    label: User-Agent
  - name: info_useragent
    type: info_useragent
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      4: created
      7: seeders
      5: size
      1: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.

login:
  method: cookie
  # using cookie method because login page has embedded Google reCAPTCHA
  inputs:
    cookie: "{{ .Config.cookie }}"
  test:
    path: browse.php
    selector: a[href^="logout.php?k="]

search:
  headers:
    User-Agent: ["{{ .Config.useragent }}"]
  paths:
    # https://huntorrent.net/browse.php?&korhatar=0&incldead=1&xyz=yes&c28=1&c27=1&c6=1&c5=1&sort=4&type=desc
    - path: browse.php
      categories: [51, 50, 2, 1, 42, 41, 40, 19, 29, 28, 15, 38, 37, 20, 21, 54, 23, 33, 52, 53, 4, 3, 12, 13]
      inputs:
        viewMode: bithorlo
    - path: browse.php
      categories: [9, 10]
      inputs:
        viewMode: bithorloxxx
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    xyz: yes
    search: "{{ .Keywords }}"
    # Age Limit: 0 all, 1 no, 5 6, 2 12, 3 16, 4 18
    korhatar: 0
    # 0 active, 1 active+dead, 2 dead, 3 my uploads, 4  waiting for seed, 7 my bookmarks, 12 reseeded by me
    incldead: 1
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"

  rows:
    selector: table.torrent-table > tbody > tr[id^="torrent-main-"]

  fields:
    category:
      selector: a[href^="browse.php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      selector: a.torrent-title-link
    details:
      selector: a.torrent-title-link
      attribute: href
      filters:
        - name: replace
          args: ["&hit=1", ""]
    download:
      selector: a[href^="download.php?"]
      attribute: href
    genre:
      selector: a[data-mufaj]
      attribute: data-mufaj
    description:
      selector: div.torrent-subtitle
      filters:
        - name: append
          args: "{{ if .Result.genre }}</br>{{ .Result.genre }}{{ else }}{{ end }}"
    imdbid:
      selector: a[href*="imdb.com/title/tt"]
      attribute: href
    poster:
      selector: a[data-poster]
      attribute: data-poster
    date:
      selector: a[data-added]
      attribute: data-added
      filters:
        - name: append
          args: " +01:00" # CET
        - name: dateparse
          args: "yyyy-MM-dd HH:mm zzz"
    size:
      selector: a[data-size]
      attribute: data-size
    grabs:
      selector: td:nth-last-child(3)
    seeders:
      selector: td:nth-last-child(2)
    leechers:
      selector: td:nth-last-child(1)
    downloadvolumefactor:
      text: 1
    uploadvolumefactor:
      text: 2
    minimumratio:
      text: 1.0
    minimumseedtime:
      # 32 hours (as seconds = 32 x 60 x 60)
      text: 115200
# engine n/a
